## python-pynlpl 1.2.9

=== requirements.txt ===
lxml>=2.2
httplib2>=0.6
numpy

## python-pynlpl 0.7.7.1

=== debian/changelog ===
python-pynlpl (0.7.7.1-2) unstable; urgency=medium

  * Removed texinfo manual reference
  * debian/copyright: All GPL-3 now 
   (thanks to Thorsten Alteholz for pointing it out)
   also added comments for MIT work.

 -- Maarten van Gompel <proycon@anaproy.nl>  Thu, 11 Feb 2016 10:17:33 +0100

python-pynlpl (0.7.7.1-1) unstable; urgency=low

  * Initial release. Closes: #771592 

 -- Maarten van Gompel <proycon@anaproy.nl>  Fri, 20 Nov 2015 22:46:15 +0100

=== debian/control ===
Source: python-pynlpl
Section: science
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>, Maarten van Gompel <proycon@anaproy.nl>
Homepage: https://github.com/proycon/pynlpl
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python3-setuptools (>= 0.6b3), python-all (>= 2.7), debhelper (>= 9), python3-all (>= 3.3), dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-pynlpl
Architecture: all
#Conflicts: python3-pynlpl
Depends: ${misc:Depends}, ${python:Depends}
Description: PyNLPl is a library for Natural Language Processing.
 PyNLPl, pronounced as 'pineapple', is a Python library for Natural Language
 Processing. It contains various modules useful for common, and less common,
 NLP tasks. PyNLPl can be used for basic tasks such as the extraction of
 n-grams and frequency lists, and to build simple language models. It also
 contains complex data types and algorithms. Moreover, it includes parsers for
 file formats common in NLP (e.g. FoLiA/Giza/Moses/ARPA/Timbl/CQL) and clients
 to interface with various NLP specific servers. PyNLPl most notably features a
 very extensive library for working with FoLiA XML (Format for Linguistic
 Annotation). 
 .
 This is the Python 2 version.

Package: python3-pynlpl
Architecture: all
#Conflicts: python-pynlpl
Depends: ${misc:Depends}, ${python3:Depends}
Description: PyNLPl is a library for Natural Language Processing.
 PyNLPl, pronounced as 'pineapple', is a Python library for Natural Language
 Processing. It contains various modules useful for common, and less common,
 NLP tasks. PyNLPl can be used for basic tasks such as the extraction of
 n-grams and frequency lists, and to build simple language models. It also
 contains complex data types and algorithms. Moreover, it includes parsers for
 file formats common in NLP (e.g. FoLiA/Giza/Moses/ARPA/Timbl/CQL) and clients
 to interface with various NLP specific servers. PyNLPl most notably features a
 very extensive library for working with FoLiA XML (Format for Linguistic
 Annotation). 
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 20 Nov 2015 22:46:15 +0100
#
#export DH_VERBOSE=1
export PYBUILD_NAME=pynlpl
#export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/share/foo/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-pynlpl 1.1.2

=== debian/changelog ===
python-pynlpl (1.1.2-1) unstable; urgency=medium

  * New upstream release (1.1.2)

 -- Maarten van Gompel <proycon@anaproy.nl>  Mon, 02 Jan 2017 12:22:00 +0200

python-pynlpl (1.0.9-1) unstable; urgency=medium

  * New upstream release (1.0.9)
  * debian/tests: fixed
  * debian/compat: changed to 10
  * debian/control: cleanup (whitespace, ordering, descriptions)
  * manpages/pynlpl-computepmi.1: spelling fix
  * debian/copyright: fixed order
   (thanks to Mattia Rizzolo for pointing out most of the above)

 -- Maarten van Gompel <proycon@anaproy.nl>  Tue, 18 Oct 2016 12:22:00 +0200

python-pynlpl (1.0.5-1) unstable; urgency=medium

  * New upstream release (1.0.5)
  * debian/control: Added VCS fields, applied cme fix dpkg
  * debian/rules: removed unneeded commented lines
  * debian/manpages: moved manpages here
  * debian/copyright: Applied cme fix dpkg
    (thanks to Anton Gladky for pointing these four out)
  * debian/control: Removed Joost van Baal-Ilić as uploader
  * Added autopkgtest

 -- Maarten van Gompel <proycon@anaproy.nl>  Sun, 04 Sep 2016 22:54:00 +0200

=== debian/control ===
Source: python-pynlpl
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Maarten van Gompel <proycon@anaproy.nl>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools (>= 3.6b3),
               python3-all (>= 3.3),
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-pynlpl.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-pynlpl.git
Homepage: https://github.com/proycon/pynlpl
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-pynlpl
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: PyNLPl is a library for Natural Language Processing (Python 2 version)
 PyNLPl, pronounced as 'pineapple', is a Python library for Natural Language
 Processing. It contains various modules useful for common, and less common,
 NLP tasks. PyNLPl can be used for basic tasks such as the extraction of
 n-grams and frequency lists, and to build simple language models. It also
 contains complex data types and algorithms. Moreover, it includes parsers for
 file formats common in NLP (e.g. FoLiA/Giza/Moses/ARPA/Timbl/CQL) and clients
 to interface with various NLP specific servers. PyNLPl most notably features a
 very extensive library for working with FoLiA XML (Format for Linguistic
 Annotation).
 .
 This is the Python 2 version.

Package: python3-pynlpl
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: PyNLPl is a library for Natural Language Processing (Python 3 version)
 PyNLPl, pronounced as 'pineapple', is a Python library for Natural Language
 Processing. It contains various modules useful for common, and less common,
 NLP tasks. PyNLPl can be used for basic tasks such as the extraction of
 n-grams and frequency lists, and to build simple language models. It also
 contains complex data types and algorithms. Moreover, it includes parsers for
 file formats common in NLP (e.g. FoLiA/Giza/Moses/ARPA/Timbl/CQL) and clients
 to interface with various NLP specific servers. PyNLPl most notably features a
 very extensive library for working with FoLiA XML (Format for Linguistic
 Annotation).
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pynlpl

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: pynlpl-tests
Depends: git, xmldiff, python-pynlpl, python3-pynlpl

## python-pynlpl 1.2.9

=== debian/changelog ===
python-pynlpl (1.2.9-2) unstable; urgency=medium

  * Team upload.
  * Fix Team Name
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 23 Apr 2025 14:53:01 +0200

python-pynlpl (1.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop python-pynlpl (remove python2). Closes: #938080.
  * update Vcs tags to salsa.debian.org
  * Build-Depends: python3-httplib2 (>= 0.6),
     python3-lxml (>= 2.2),
     python3-numpy
  * add debian patch skip_folia_tests.patch to skip FoLiA tests (folia
    and FQN).  example.xml is not available for them.
  * debian/tests Restrictions: allow-stderr (to ignore deprecation
    warning about pynlpl.formats.folia)

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 22:12:14 +0800

=== debian/control ===
Source: python-pynlpl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Maarten van Gompel <proycon@anaproy.nl>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all (>= 3.3),
               python3-httplib2 (>= 0.6),
               python3-lxml (>= 2.2),
               python3-numpy,
               python3-setuptools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/python-pynlpl
Vcs-Git: https://salsa.debian.org/science-team/python-pynlpl.git
Homepage: https://github.com/proycon/pynlpl

Package: python3-pynlpl
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: PyNLPl is a library for Natural Language Processing (Python 3 version)
 PyNLPl, pronounced as 'pineapple', is a Python library for Natural Language
 Processing. It contains various modules useful for common, and less common,
 NLP tasks. PyNLPl can be used for basic tasks such as the extraction of
 n-grams and frequency lists, and to build simple language models. It also
 contains complex data types and algorithms. Moreover, it includes parsers for
 file formats common in NLP (e.g. FoLiA/Giza/Moses/ARPA/Timbl/CQL) and clients
 to interface with various NLP specific servers. PyNLPl most notably features a
 very extensive library for working with FoLiA XML (Format for Linguistic
 Annotation).
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pynlpl

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: pynlpl-tests
Depends: git, xmldiff, python3-pynlpl
Restrictions: allow-stderr
